Subject: Nesbitt Multizone

From: [email-masked] (JaredM)
Date: 31 May 1995 22:27:50 -0400

Hello all...
   We have been asked to perform service on a Nesbitt 30 ton rooftop circa
1974 +/- but there is one problem.  There is no wiring diagrams, or
literature of any kind associated with this unit on site at the time.  I
would like to know if any one out there has a current source for such.  I
don't have the model # handy but will post it if it may help.  Thanks in
advance...